## com.sun.jersey.core.spi.component.ioc
Interface IoCFullyManagedComponentProvider

All Superinterfaces:
  ComponentProvider, IoCComponentProvider

    public interface IoCFullyManagedComponentProvider

extends IoCComponentProvider

An IoC-fully-managed component provider.

The component is fully managed by the underlying IoC framework, which includes managing the construction, injection and destruction according to the life-cycle declared in the IoC framework's semantics. It is the reponsibility of the IoC framework to inject Jersey-based artifacts onto the component.

The `IoCComponentProcessorFactory` may be utilized to inject Jersey-based artfacts onto a component at post construction interception.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  `IoCComponentProcessorFactory`

Method Summary
`ComponentScope` `getScope()` Get the scope.

Methods inherited from interface com.sun.jersey.core.spi.component.ComponentProvider
`getInstance`

Method Detail

### getScope

    ComponentScope getScope()

  Get the scope.

  Returns:
    the scope.

Copyright © 2017 Oracle Corporation. All Rights Reserved.